Debian Bug report logs - #278940
ITP: socket++ -- lightweight convenience library to handle low level BSD sockets in C++

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Sat, 30 Oct 2004 15:03:04 UTC

Owned by: Mathieu Malaterre <malat@debian.org>

Severity: wishlist

Fixed in version socket++/1.12.13-1

Done: Mathieu Malaterre <malat@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-legal@lists.debian.org, <wnpp@debian.org>:
Bug#278940; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Dan Weber <dan@mirrorlynx.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-legal@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dan Weber <dan@mirrorlynx.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: socket++ -- lightweight convenience library to handle low level BSD sockets in C++
Date: Sat, 30 Oct 2004 10:52:23 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Package: wnpp
Severity: wishlist

* Package name    : socket++
  Version         : 1.12.12
  Upstream Author : Gnanasekaran(Sekar) Swaminathan <gs4t@virginia.edu>,
  	   	    Herbert Straub <herbert@linuxhacker.at>
* URL             : http://www.linuxhacker.at/socketxx
* License         : Pasted below with License Statement
  Description     : lightweight convenience library to handle low level BSD sockets in C++

  Socket++ library defines a family of C++ classes that can be used more
  effectively than directly calling the underlying low-level system functions.
  One distinct advantage of the socket++ is that it has the same interface as
  that of the iostream so that the users can perform type-safe input output.
  See your local IOStream library documentation for more information on
  iostreams.
  .
  Development of the original socket++ died some years ago, and a new
  upstream has taken control.  The original socket++ ended at version 1.11.
  Lauri Nurmi  modified the source code to make Socket++ compile with recent
  GCC under linux.  This version is fork of the code from Lauri Nurmi which
  was just some enhancements to make it standard conforming at version 1.11.



- -- License

Original Copyright Notice:

Permission is granted to use at your own risk and distribute this software
in source and  binary forms provided  the above copyright notice and  this
paragraph are  preserved on all copies.  This software is provided "as is"
with no express or implied warranty.

Copyright Statement:

>
> Got your message. Please feel free to include it in
> any software and use it as you please. Let me know if
> you need any help with it.

and further:
+++
Hi Herbert,

That was not the intention. It is a free code. You can modify,
copy, and distribute and use it in anyway as you see fit.

Other people are maintaining it and ported it to different
OSes. Other than that, not much has changed as far as I know.
I haven't looked at it recently.

- -Sekar

- -- Side Note

This ITP is being cross posted to debian-legal for the purpose of verifying
that this is capable of being placed in main.

Dan Weber


- -- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (499, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.8.reiser4.vserver
Locale: LANG=en_US, LC_CTYPE=en_US
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFBg6qkF6i3K/AxoQERAp42AKClgh7dXmH/48TeuORsCqKq6d25bwCfdAjg
CcC0AqjCdXGesDg92Q20Irs=
=TPT8
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#278940; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh.trip@verizon.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 278940@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh.trip@verizon.net>
To: Dan Weber <dan@mirrorlynx.com>, 278940@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#278940: ITP: socket++ -- lightweight convenience library to handle low level BSD sockets in C++
Date: Sat, 30 Oct 2004 18:04:43 -0700
[Message part 1 (text/plain, inline)]
Dan Weber wrote:
> * Package name    : socket++
>   Version         : 1.12.12
>   Upstream Author : Gnanasekaran(Sekar) Swaminathan <gs4t@virginia.edu>,
>   	   	    Herbert Straub <herbert@linuxhacker.at>
> * URL             : http://www.linuxhacker.at/socketxx
> * License         : Pasted below with License Statement
>   Description     : lightweight convenience library to handle low level BSD sockets in C++
> 
[snip long description]
>
> -- License
> 
> Original Copyright Notice:
> 
> Permission is granted to use at your own risk and distribute this software
> in source and  binary forms provided  the above copyright notice and  this
> paragraph are  preserved on all copies.  This software is provided "as is"
> with no express or implied warranty.

This license alone would not be sufficient, since it does not allow
modification.  However...

> Copyright Statement:
> 
>>>Got your message. Please feel free to include it in
>>>any software and use it as you please. Let me know if
>>>you need any help with it.
> 
> and further:
> +++
> Hi Herbert,
> 
> That was not the intention. It is a free code. You can modify,
> copy, and distribute and use it in anyway as you see fit.
> 
> Other people are maintaining it and ported it to different
> OSes. Other than that, not much has changed as far as I know.
> I haven't looked at it recently.
> 
> -Sekar

... this clarification makes the software clearly DFSG-Free (though it
would be preferable if this mail explicitly referred to socket++ and not
just "it" :) ).

> -- Side Note
> 
> This ITP is being cross posted to debian-legal for the purpose of verifying
> that this is capable of being placed in main.

Definitely.  Be sure to include the clarification in the copyight file
along with the original license.

- Josh Triplett
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#278940; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 278940@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: debian-legal@lists.debian.org
Cc: Dan Weber <dan@mirrorlynx.com>, 278940@bugs.debian.org
Subject: Re: Bug#278940: ITP: socket++ -- lightweight convenience library to handle low level BSD sockets in C++
Date: Sun, 31 Oct 2004 13:26:48 +0100
[Message part 1 (text/plain, inline)]
On Sat, 30 Oct 2004 21:49:42 -0400 Dan Weber wrote:

> The new upstream (Herbert) is placing this in the LICENSE file as of
> the next release which will clarify for other distributions and
> packagers.

This is great news, indeed.

Obviously, the new upstream must make sure that each copyright holder
agrees on this clarification...

-- 
          Today is the tomorrow you worried about yesterday.
......................................................................
  Francesco Poli                             GnuPG Key ID = DD6DFCF4
 Key fingerprint = C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dan Weber <dan@mirrorlynx.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 278940-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 278940-done@bugs.debian.org
Subject: WNPP bug closing
Date: Mon, 02 Jan 2006 12:16:14 -0700
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

reopen 278940
thanks bts

Further comments on the work done in the bug sent to
278940@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 02:39:05 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Sat, 26 Oct 2013 15:57:08 GMT) Full text and rfc822 format available.

Bug reopened Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Sat, 26 Oct 2013 15:57:09 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Dan Weber <dan@mirrorlynx.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Sat, 26 Oct 2013 15:57:09 GMT) Full text and rfc822 format available.

Owner recorded as Mathieu Malaterre <malat@debian.org>. Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Sat, 26 Oct 2013 15:57:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 28 Oct 2013 19:06:06 GMT) Full text and rfc822 format available.

Added indication that bug 278940 blocks 727154 Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Tue, 29 Oct 2013 06:27:10 GMT) Full text and rfc822 format available.

Reply sent to Mathieu Malaterre <malat@debian.org>:
You have taken responsibility. (Fri, 29 Nov 2013 16:03:17 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Fri, 29 Nov 2013 16:03:17 GMT) Full text and rfc822 format available.

Message #39 received at 278940-close@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 278940-close@bugs.debian.org
Subject: Bug#278940: fixed in socket++ 1.12.13-1
Date: Fri, 29 Nov 2013 16:00:23 +0000
Source: socket++
Source-Version: 1.12.13-1

We believe that the bug you reported is fixed in the latest version of
socket++, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 278940@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mathieu Malaterre <malat@debian.org> (supplier of updated socket++ package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 27 Oct 2013 07:08:17 +0100
Source: socket++
Binary: libsocket++1 libsocket++-dev
Architecture: source amd64
Version: 1.12.13-1
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Mathieu Malaterre <malat@debian.org>
Description: 
 libsocket++-dev - lightweight convenience library to handle low level BSD sockets i
 libsocket++1 - lightweight convenience library to handle low level BSD sockets i
Closes: 278940
Changes: 
 socket++ (1.12.13-1) unstable; urgency=low
 .
   * Initial release. (Closes: #278940)
Checksums-Sha1: 
 282efd0c10162a41b34b1f2bd0512a5812394589 2056 socket++_1.12.13-1.dsc
 ce7544968418120f2691f6f747a326552550aafa 64263 socket++_1.12.13.orig.tar.gz
 8dedb98d2f03c4a6e200c4309fee68eac6f5d833 2423 socket++_1.12.13-1.debian.tar.gz
 53cc20c32a02270aa117964326cd6ada783e0451 41494 libsocket++1_1.12.13-1_amd64.deb
 02137b7cca43f5abf3daefbe7a5f6f7d9bb1d2a0 31844 libsocket++-dev_1.12.13-1_amd64.deb
Checksums-Sha256: 
 35a1ca3187063e360c8371874002d0ef65dd2ae657f06894825390fd8ca49625 2056 socket++_1.12.13-1.dsc
 755cdcac06d40fcca2b221f840e05f89a86298bc3bfc518b51a57b42f0512b19 64263 socket++_1.12.13.orig.tar.gz
 dafd55681fef1847bf4ada2fd8db387afea88b6d5ff21339cdf2f5610564ce93 2423 socket++_1.12.13-1.debian.tar.gz
 e3fefd4807c97e2e48a8ba04745be3563d227890c6eb52690dbddb901baab4f2 41494 libsocket++1_1.12.13-1_amd64.deb
 2e1a65d6784ea92e00327a2c9081deb5058d45844d2c3670004a6fcdef497ba2 31844 libsocket++-dev_1.12.13-1_amd64.deb
Files: 
 e9213ccc8b52576d0c481f3360733a21 2056 libs optional socket++_1.12.13-1.dsc
 9ba9955b4d1051d9eb68d1081263c629 64263 libs optional socket++_1.12.13.orig.tar.gz
 8f6c148f905470ce0b399a8ebfa070b6 2423 libs optional socket++_1.12.13-1.debian.tar.gz
 e5f8cba06bed608a23389f7653c4858f 41494 libs optional libsocket++1_1.12.13-1_amd64.deb
 3b8b6dd565a3528df216354a1e18b762 31844 libdevel optional libsocket++-dev_1.12.13-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJSbpB1AAoJEAFx4YKK4JNF2IAP/3d1vZs2b+m2PUibhFVTlbS3
eMkDHFL2G+thzCZ+CUwmzcuIz5Jicbqq/6cks4Uyvqq/6bRTZpOCxdWmjeSw2Spw
Qrg03ulY0DAWi87vKIk7+V7D9al3XNjX8GcMAmDtpY4jckz0Rht7JUGqJCFpVYHG
t4ED/LnV58M8qykiKkqavyrHErhm/P3TGh1jxZ66D9xPziQ+3BGCjsRJpiOlv3JM
mAmvvoOcKQp5OuA57TgohiJN3wjBF64AU3YKNlhmfAa3k8u8piVS8JgUR814o+MS
rUBF6+6KDAuFFfBijutNgJsaFsZB5V0bAWImRf54T+YH+9IfgOBWvdeDJoQ4Uzdg
KYfLafD7proeYcyoi6NyGkm3npp5Hbbbx2sUPOWkKTAm+QlcV6wSIAuxCVZ3mNdN
agZvrkvHL2FRshWXIVXjGddJevLm5/VLMg9btgAoTRHylfO3oGC6p8D/ytY8porh
shgzZhAOiiqMVAiyQtbXMUKVR2jIHFP7jX2yZmb8E/TCP9ksw+gN4++MlLoX0p60
4bVCsNYFMCh0elpl7YJSB4zc1RAi0XK8gQ4MN3Vd+OwqNHxrLTiZbPqaUKd8OeaX
wYrT0Am1Bae6Xa5cIgcKUsUG/e3okDWizgaccIB2LFEfDWO5ul9TSpIcDDrI4vzO
VioxGE//DKe1hhU5NIeG
=qxPg
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Dec 2013 07:32:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:36:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.